// Protocols_Hooks.cpp,v 1.12 2004/09/29 21:51:47 irfan Exp

#include "Protocols_Hooks.h"
#include "ace/Dynamic_Service.h"

ACE_RCSID (tao, 
           Protocols_Hooks, 
           "Protocols_Hooks.cpp,v 1.12 2004/09/29 21:51:47 irfan Exp")

TAO_IIOP_Protocol_Properties::TAO_IIOP_Protocol_Properties (void)
  : send_buffer_size_ (0),
    recv_buffer_size_ (0),
    keep_alive_ (0),
    dont_route_ (0),
    no_delay_ (0),
    enable_network_priority_ (0)
{
}
  
TAO_UIOP_Protocol_Properties::TAO_UIOP_Protocol_Properties (void)
  : send_buffer_size_ (0),
    recv_buffer_size_ (0)
{
}
  
TAO_SHMIOP_Protocol_Properties::TAO_SHMIOP_Protocol_Properties (void)
  : send_buffer_size_ (0),
    recv_buffer_size_ (0),
    keep_alive_ (0),
    dont_route_ (0),
    no_delay_ (0),
    preallocate_buffer_size_ (0),
    mmap_filename_ (),
    mmap_lockname_ ()
{
}
  
TAO_DIOP_Protocol_Properties::TAO_DIOP_Protocol_Properties (void)
  : enable_network_priority_ (0)
{
}
  
TAO_SCIOP_Protocol_Properties::TAO_SCIOP_Protocol_Properties (void)
  : send_buffer_size_ (0),
    recv_buffer_size_ (0),
    keep_alive_ (0),
    dont_route_ (0),
    no_delay_ (0),
    enable_network_priority_ (0)
{
}
  
/// destructor
TAO_Protocols_Hooks::~TAO_Protocols_Hooks (void)
{
}

#if defined (ACE_HAS_EXPLICIT_TEMPLATE_INSTANTIATION)

template class ACE_Dynamic_Service<TAO_Protocols_Hooks>;

#elif defined (ACE_HAS_TEMPLATE_INSTANTIATION_PRAGMA)

#pragma instantiate ACE_Dynamic_Service<TAO_Protocols_Hooks>

#endif
